{ config, lib, ... }:

with lib;

let
  cfg = config.settings.containers.nginx;
in {
  options = {
    settings.containers.network.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = ''
        Enable network
      '';
    };
  };

  config = mkIf cfg.enable {
    services.podman.networks.proxy = {
      description = "Container network for the proxy";
      autoStart = true;
    };
  };
}
